%define anolis_release 2
Name:           libxshmfence
Version:        1.3
Release:        %{anolis_release}%{?dist}
Summary:        X11 shared memory fences

License:        MIT
URL:            https://www.x.org/
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

# upstream tarball has broken libtool because libtool is never not broken
BuildRequires:  autoconf automake libtool xorg-x11-util-macros
BuildRequires:  pkgconfig(xproto)
BuildRequires: make
#Requires:       

%description
Shared memory fences for X11, as used in DRI3.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -v -i -f
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%generate_compatibility_deps

%ldconfig_post
%ldconfig_postun

%files
%dir %{abidir}
%doc
%{_libdir}/libxshmfence.so.1*
%{abidir}/libxshmfence.dump

%files devel
%doc
%{_includedir}/*
%{_libdir}/pkgconfig/xshmfence.pc
%{_libdir}/*.so

%changelog
* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3-2
- optimise spec file

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3-1
- Init from upstream version 1.3

